import { ChangeDetectorRef, NgZone, OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { PageInfoService } from "tango-app-ui-global";
import { ToastService } from "tango-app-ui-shared";
import { EyeTestAuditService } from "../../services/eye-test-audit.service";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import dayjs from "dayjs";
import "dayjs/locale/en";
import { FormBuilder, FormGroup } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class SettingsAuditComponent implements OnInit {
    private cd;
    private zone;
    private fb;
    private pageInfo;
    private toastService;
    private route;
    private $api;
    private modalService;
    private router;
    AuditId: any;
    dayjs: typeof dayjs;
    complianceForm: FormGroup;
    constructor(cd: ChangeDetectorRef, zone: NgZone, fb: FormBuilder, pageInfo: PageInfoService, toastService: ToastService, route: ActivatedRoute, $api: EyeTestAuditService, modalService: NgbModal, router: Router);
    onClickOutside(event: MouseEvent): void;
    setPageData(): void;
    alertUsers: any;
    users: any;
    auditData: any;
    currentAuditType: any;
    ngOnInit(): void;
    private readonly destroy$;
    stepWiseProcess: any;
    auditDetails: any;
    takeAudit: any;
    getAuditdetails(): void;
    openItem(event: any): void;
    backNavigation(): void;
    selectedComplianceThreshold: any;
    selectedCompliancePercentage: any;
    complianceThresholds: {
        value: string;
        label: string;
    }[];
    compliancePercentage: {
        value: string;
        label: string;
    }[];
    selectedDateRange: any;
    filterStartDate: any;
    filterEndDate: any;
    ranges: any;
    datechange(event: any): void;
    exportXLSX(): void;
    searchValue: any;
    searchData(event: any): void;
    tableData: any;
    sortedColumn: any;
    sortOrder: any;
    onSort(column: string): void;
    allUsers: any;
    getUser(): void;
    configData: any;
    updateOwner(selectedEmail: any): void;
    toggleEdit(): void;
    cancelEdit(): void;
    editMode: boolean;
    submitOwners(): void;
    userConfigList: any;
    lastSavedConfig: any;
    getUserConfig(): void;
    emailConfigList: any;
    editMode1: boolean;
    toggleEdit1(): void;
    getEmailConfig(): void;
    lastSavedCompliance: any;
    submitCompliance(): void;
    cancelCompliance(): void;
    filteredRms: any[];
    searchRmText: string;
    ClusterList: any[];
    filteredClusters: any[];
    searchClusterText: string;
    Opendropdown: boolean;
    dropdownOpen: string | null;
    opendropdown(): void;
    closeDropdown(): void;
    rmOpen: boolean;
    clusterOpen: boolean;
    toggleRmDropdown(): void;
    toggleClusterDropdown(): void;
    closeAllDropdowns(): void;
    RmList: any[];
    /** ---- RMs ---- */
    getAllRm(): void;
    filterRms(): void;
    isAllRmsSelected(): boolean;
    toggleSelectAllRms(event: any): void;
    updateSelectedRms(): void;
    selectedRmsLabel(): string;
    getSelectedRmsCount(): number;
    /** ---- Clusters ---- */
    getAllGroupsPromise(event?: any[]): Promise<void>;
    filterClusters(): void;
    isAllClustersSelected(): boolean;
    toggleSelectAllClusters(event: any): void;
    updateSelectedClusters(): void;
    selectedClustersLabel(): any;
    getSelectedClustersCount(): number;
    /** ---- Apply / Reset ---- */
    Reset(): void;
    selectedRms: any;
    selectedClusters: any;
    Apply(): void;
    offset: number;
    limit: number;
    pageSize: number;
    paginationSizes: number[];
    totalItems: number;
    setPaginationSizes(): void;
    loading: boolean;
    noData: boolean;
    getEmail(): void;
    onPageChange(page: number): void;
    onPageSizeChange(size: number): void;
    eyeTestView(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingsAuditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingsAuditComponent, "lib-settings-audit", never, {}, {}, never, never, false, never>;
}
